Information Technology Consulting Service

www.katarincic.com


Welcome Guest Search | Active Topics | Members | Log In

Xamarin.Forms Quickstart Options · View
scott
Posted: Tuesday, August 01, 2017 2:08:49 PM
Rank: Administration
Groups: Member

Joined: 3/24/2008
Posts: 2,313
Points: 4,794
Location: South Florida USA
scott
Posted: Tuesday, August 01, 2017 3:43:22 PM
Rank: Administration
Groups: Member

Joined: 3/24/2008
Posts: 2,313
Points: 4,794
Location: South Florida USA
When attempting this Quickstart, I got the following error:

https://stackoverflow.com/questions/45190530/cannot-access-interface-defined-in-the-code-sharing-project-from-within-uwp-proj

Quote:

The type or namespace name 'IDialer' could not be found (are you missing a using directive or an assembly reference?)



This fixed the error:

Quote:

I closed the solution, exited Visual Studio started and loaded again and the first error disappeared.


scott
Posted: Wednesday, August 02, 2017 10:34:45 AM
Rank: Administration
Groups: Member

Joined: 3/24/2008
Posts: 2,313
Points: 4,794
Location: South Florida USA
now getting this error on the deploy:

Quote:

Severity Code Description Project File Line Suppression State
Warning The $(TargetFrameworkVersion) for FormsViewGroup.dll (v7.1) is greater than the $(TargetFrameworkVersion) for your project (v6.0). You need to increase the $(TargetFrameworkVersion) for your project. Phoneword.Android C:\Users\Scott\documents\visual studio 2017\Projects\Phoneword\Phoneword\Phoneword.Android\Phoneword.Android.csproj
Severity Code Description Project File Line Suppression State
Warning The $(TargetFrameworkVersion) for Xamarin.Forms.Platform.dll (v7.1) is greater than the $(TargetFrameworkVersion) for your project (v6.0). You need to increase the $(TargetFrameworkVersion) for your project. Phoneword.Android C:\Users\Scott\documents\visual studio 2017\Projects\Phoneword\Phoneword\Phoneword.Android\Phoneword.Android.csproj
Severity Code Description Project File Line Suppression State
Warning The $(TargetFrameworkVersion) for Xamarin.Forms.Platform.Android.dll (v7.1) is greater than the $(TargetFrameworkVersion) for your project (v6.0). You need to increase the $(TargetFrameworkVersion) for your project. Phoneword.Android C:\Users\Scott\documents\visual studio 2017\Projects\Phoneword\Phoneword\Phoneword.Android\Phoneword.Android.csproj


https://stackoverflow.com/questions/43736815/the-targetframeworkversion-for-formsviewgroup-dll-v7-1-is-greater-than-the

https://forums.xamarin.com/discussion/80488/wrong-targetframeworkversion-warning-xa0105-bug

https://developer.xamarin.com/guides/android/application_fundamentals/understanding_android_api_levels/#framework




Users browsing this topic
Guest


Forum Jump
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.

Main Forum RSS : RSS

SoClean Theme Created by Jaben Cargman (Tiny Gecko)
Powered by Yet Another Forum.net version 1.9.1.6 (NET v2.0) - 11/14/2007
Copyright © 2003-2006 Yet Another Forum.net. All rights reserved.
This page was generated in 2.053 seconds.